Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.wms.control
Class AbstractMapListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.wms.control.AbstractMapListener

All Implemented Interfaces:
  EventListener, WebListener

Direct Known Subclasses:
  DynLegendListener, HighlightingInfoListener, HighlightingListener, LegendListener, PrintListener, ScaleBarSwitcherListener, ScaleSwitcherListener

    abstract class AbstractMapListener

extends AbstractListener

Basic class for all listerens that shall be notified if a map cliented raises an action/event.

There are several predefined listeres for actions that most map clients support:

- `ZoomInListener` for handling zoomin actions. supported are zooming via point or vie rectangle.
- `ZoomOutListener` for handling zoomout action.
- `PanListener` for handling of pan action. supported is panning to eight directions.
- `RecenterListener` recenters the map to a specified point. This can be interpreted as a special versio of zooming
- `RefreshListener` reloads the map without any change
- `ResetListener` recovers the initial status of the map
- `InfoListener` will be notified if a feature info request should be send.

The user can additional listeners/action by extending the `AbstractActionListener` class or one of the predefined listener.

Each Listerner have to be registered to the `MapListener` which is the class that will be informed about each event/action within a map client. To register a class as listener it has to stored within the MapListener.ConfigurationFile.

---------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mays$

Constructor Summary
`AbstractMapListener()`

Method Summary
`void` | `actionPerformed(FormEvent event)`
`protected double` | `getScale(GetMap mrm)` the method returns the scale of the map defined as diagonal size of a pixel at the center of the map.
`protected HashMap<String,String>` | `toMap(String request)` maps a string representation of a request to a `HashMap`

Methods inherited from class org.deegree.enterprise.control.AbstractListener
`getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMapListener

    AbstractMapListener()

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent event)

  Specified by:
    `actionPerformed` in interface `WebListener`
  Specified by:
    `actionPerformed` in class `AbstractListener`
  Parameters:
    `event` -

### toMap

    protected HashMap<String,String> toMap(String request)

  maps a string representation of a request to a `HashMap`

### getScale

    protected double getScale(GetMap mrm)

  the method returns the scale of the map defined as diagonal size of a pixel at the center of the map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org